using MWS.Library.Common.Module;
using MWS.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MWS.Data.InterFace
{
    public interface IOperateRecord : IDapperHelper
    {
        int Insert(string sql);

        T_OperateRecord GetLastOne(int tagId);
        PageData<T_OperateRecord> GetTagRecord(int OperatorType, int MecType, DateTime? beginTime, DateTime? endTime, int pageIndex, int pageSize);
    }
}
